### Hierarchy

- unknown
  - PreferencesPayload

## Index

### Constructors

- constructor

### Methods

- addAutoConfirmSettings
- addBridgeAddresses
- addCryptoCurrencies
- addFiatCurrencies
- addIgnoreTradersList
- clearAutoConfirmSettingsList
- clearBlockChainExplorerMainNet
- clearBlockChainExplorerTestNet
- clearBridgeAddressesList
- clearCryptoCurrenciesList
- clearDontShowAgainMapMap
- clearFiatCurrenciesList
- clearIgnoreTradersListList
- clearMoneroNodeSettings
- clearPeerTagMapMap
- clearPreferredTradeCurrency
- clearSelectedpaymentAccountForCreateoffer
- clearUserCountry
- getAutoConfirmSettingsList
- getAutoSelectArbitrators
- getBackupDirectory
- getBitcoinNodes
- getBitcoinNodesOptionOrdinal
- getBlockChainExplorerMainNet
- getBlockChainExplorerTestNet
- getBlockNotifyPort
- getBridgeAddressesList
- getBridgeOptionOrdinal
- getBsqAverageTrimThreshold
- getBuyScreenCryptoCurrencyCode
- getBuyScreenCurrencyCode
- getBuyerSecurityDepositAsLong
- getBuyerSecurityDepositAsPercent
- getBuyerSecurityDepositAsPercentForCrypto
- getClearDataAfterDays
- getCryptoCurrenciesList
- getCssTheme
- getCustomBridges
- getDenyApiTaker
- getDirectoryChooserPath
- getDontShowAgainMapMap
- getFiatCurrenciesList
- getHideNonAccountPaymentMethods
- getIgnoreDustThreshold
- getIgnoreTradersListList
- getMaxPriceDistanceInPercent
- getMoneroNodeSettings
- getNotifyOnPreRelease
- getOfferBookChartScreenCurrencyCode
- getPeerTagMapMap
- getPhoneKeyAndToken
- getPreferredTradeCurrency
- getReferralId
- getResyncSpvRequested
- getRpcPw
- getRpcUser
- getSelectedpaymentAccountForCreateoffer
- getSellScreenCryptoCurrencyCode
- getSellScreenCurrencyCode
- getShowOffersMatchingMyAccounts
- getShowOwnOffersInOfferBook
- getSortMarketCurrenciesNumerically
- getTacAccepted
- getTacAcceptedV120
- getTakeOfferSelectedPaymentAccountId
- getTorTransportOrdinal
- getTradeChartsScreenCurrencyCode
- getTradeStatisticsTickUnitIndex
- getUseAnimations
- getUseCustomWithdrawalTxFee
- getUseMarketNotifications
- getUsePercentageBasedPrice
- getUsePriceNotifications
- getUseSoundForMobileNotifications
- getUseStandbyMode
- getUseTorForBitcoinJ
- getUseTradeNotifications
- getUserCountry
- getUserLanguage
- getWithdrawalTxFeeInVbytes
- hasBlockChainExplorerMainNet
- hasBlockChainExplorerTestNet
- hasMoneroNodeSettings
- hasPreferredTradeCurrency
- hasSelectedpaymentAccountForCreateoffer
- hasUserCountry
- serializeBinary
- setAutoConfirmSettingsList
- setAutoSelectArbitrators
- setBackupDirectory
- setBitcoinNodes
- setBitcoinNodesOptionOrdinal
- setBlockChainExplorerMainNet
- setBlockChainExplorerTestNet
- setBlockNotifyPort
- setBridgeAddressesList
- setBridgeOptionOrdinal
- setBsqAverageTrimThreshold
- setBuyScreenCryptoCurrencyCode
- setBuyScreenCurrencyCode
- setBuyerSecurityDepositAsLong
- setBuyerSecurityDepositAsPercent
- setBuyerSecurityDepositAsPercentForCrypto
- setClearDataAfterDays
- setCryptoCurrenciesList
- setCssTheme
- setCustomBridges
- setDenyApiTaker
- setDirectoryChooserPath
- setFiatCurrenciesList
- setHideNonAccountPaymentMethods
- setIgnoreDustThreshold
- setIgnoreTradersListList
- setMaxPriceDistanceInPercent
- setMoneroNodeSettings
- setNotifyOnPreRelease
- setOfferBookChartScreenCurrencyCode
- setPhoneKeyAndToken
- setPreferredTradeCurrency
- setReferralId
- setResyncSpvRequested
- setRpcPw
- setRpcUser
- setSelectedpaymentAccountForCreateoffer
- setSellScreenCryptoCurrencyCode
- setSellScreenCurrencyCode
- setShowOffersMatchingMyAccounts
- setShowOwnOffersInOfferBook
- setSortMarketCurrenciesNumerically
- setTacAccepted
- setTacAcceptedV120
- setTakeOfferSelectedPaymentAccountId
- setTorTransportOrdinal
- setTradeChartsScreenCurrencyCode
- setTradeStatisticsTickUnitIndex
- setUseAnimations
- setUseCustomWithdrawalTxFee
- setUseMarketNotifications
- setUsePercentageBasedPrice
- setUsePriceNotifications
- setUseSoundForMobileNotifications
- setUseStandbyMode
- setUseTorForBitcoinJ
- setUseTradeNotifications
- setUserCountry
- setUserLanguage
- setWithdrawalTxFeeInVbytes
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new PreferencesPayload(): PreferencesPayload

- Inherited from jspb.Message.constructor

  #### Returns PreferencesPayload

## Methods

### addAutoConfirmSettings

- addAutoConfirmSettings(value?: AutoConfirmSettings, index?: number): AutoConfirmSettings

- - Defined in src/protobuf/pb_pb.d.ts:7587

  #### Parameters

  - ##### Optional value: AutoConfirmSettings

  - ##### Optional index: number

  #### Returns AutoConfirmSettings

### addBridgeAddresses

- addBridgeAddresses(value: string, index?: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7522

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns PreferencesPayload

### addCryptoCurrencies

- addCryptoCurrencies(value?: TradeCurrency, index?: number): TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:7426

  #### Parameters

  - ##### Optional value: TradeCurrency

  - ##### Optional index: number

  #### Returns TradeCurrency

### addFiatCurrencies

- addFiatCurrencies(value?: TradeCurrency, index?: number): TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:7421

  #### Parameters

  - ##### Optional value: TradeCurrency

  - ##### Optional index: number

  #### Returns TradeCurrency

### addIgnoreTradersList

- addIgnoreTradersList(value: string, index?: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7503

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns PreferencesPayload

### clearAutoConfirmSettingsList

- clearAutoConfirmSettingsList(): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7586

  #### Returns PreferencesPayload

### clearBlockChainExplorerMainNet

- clearBlockChainExplorerMainNet(): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7431

  #### Returns PreferencesPayload

### clearBlockChainExplorerTestNet

- clearBlockChainExplorerTestNet(): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7436

  #### Returns PreferencesPayload

### clearBridgeAddressesList

- clearBridgeAddressesList(): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7521

  #### Returns PreferencesPayload

### clearCryptoCurrenciesList

- clearCryptoCurrenciesList(): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7425

  #### Returns PreferencesPayload

### clearDontShowAgainMapMap

- clearDontShowAgainMapMap(): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7445

  #### Returns PreferencesPayload

### clearFiatCurrenciesList

- clearFiatCurrenciesList(): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7420

  #### Returns PreferencesPayload

### clearIgnoreTradersListList

- clearIgnoreTradersListList(): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7502

  #### Returns PreferencesPayload

### clearMoneroNodeSettings

- clearMoneroNodeSettings(): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7607

  #### Returns PreferencesPayload

### clearPeerTagMapMap

- clearPeerTagMapMap(): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7495

  #### Returns PreferencesPayload

### clearPreferredTradeCurrency

- clearPreferredTradeCurrency(): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7459

  #### Returns PreferencesPayload

### clearSelectedpaymentAccountForCreateoffer

- clearSelectedpaymentAccountForCreateoffer(): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7517

  #### Returns PreferencesPayload

### clearUserCountry

- clearUserCountry(): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7416

  #### Returns PreferencesPayload

### getAutoConfirmSettingsList

- getAutoConfirmSettingsList(): AutoConfirmSettings []

- - Defined in src/protobuf/pb_pb.d.ts:7584

  #### Returns AutoConfirmSettings []

### getAutoSelectArbitrators

- getAutoSelectArbitrators(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7441

  #### Returns boolean

### getBackupDirectory

- getBackupDirectory(): string

- - Defined in src/protobuf/pb_pb.d.ts:7438

  #### Returns string

### getBitcoinNodes

- getBitcoinNodes(): string

- - Defined in src/protobuf/pb_pb.d.ts:7497

  #### Returns string

### getBitcoinNodesOptionOrdinal

- getBitcoinNodesOptionOrdinal(): number

- - Defined in src/protobuf/pb_pb.d.ts:7533

  #### Returns number

### getBlockChainExplorerMainNet

- getBlockChainExplorerMainNet(): undefined | BlockChainExplorer

- - Defined in src/protobuf/pb_pb.d.ts:7428

  #### Returns undefined | BlockChainExplorer

### getBlockChainExplorerTestNet

- getBlockChainExplorerTestNet(): undefined | BlockChainExplorer

- - Defined in src/protobuf/pb_pb.d.ts:7433

  #### Returns undefined | BlockChainExplorer

### getBlockNotifyPort

- getBlockNotifyPort(): number

- - Defined in src/protobuf/pb_pb.d.ts:7575

  #### Returns number

### getBridgeAddressesList

- getBridgeAddressesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:7519

  #### Returns string[]

### getBridgeOptionOrdinal

- getBridgeOptionOrdinal(): number

- - Defined in src/protobuf/pb_pb.d.ts:7524

  #### Returns number

### getBsqAverageTrimThreshold

- getBsqAverageTrimThreshold(): number

- - Defined in src/protobuf/pb_pb.d.ts:7589

  #### Returns number

### getBuyScreenCryptoCurrencyCode

- getBuyScreenCryptoCurrencyCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:7612

  #### Returns string

### getBuyScreenCurrencyCode

- getBuyScreenCurrencyCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:7476

  #### Returns string

### getBuyerSecurityDepositAsLong

- getBuyerSecurityDepositAsLong(): number

- - Defined in src/protobuf/pb_pb.d.ts:7508

  #### Returns number

### getBuyerSecurityDepositAsPercent

- getBuyerSecurityDepositAsPercent(): number

- - Defined in src/protobuf/pb_pb.d.ts:7566

  #### Returns number

### getBuyerSecurityDepositAsPercentForCrypto

- getBuyerSecurityDepositAsPercentForCrypto(): number

- - Defined in src/protobuf/pb_pb.d.ts:7572

  #### Returns number

### getClearDataAfterDays

- getClearDataAfterDays(): number

- - Defined in src/protobuf/pb_pb.d.ts:7609

  #### Returns number

### getCryptoCurrenciesList

- getCryptoCurrenciesList(): TradeCurrency []

- - Defined in src/protobuf/pb_pb.d.ts:7423

  #### Returns TradeCurrency []

### getCssTheme

- getCssTheme(): number

- - Defined in src/protobuf/pb_pb.d.ts:7578

  #### Returns number

### getCustomBridges

- getCustomBridges(): string

- - Defined in src/protobuf/pb_pb.d.ts:7530

  #### Returns string

### getDenyApiTaker

- getDenyApiTaker(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7598

  #### Returns boolean

### getDirectoryChooserPath

- getDirectoryChooserPath(): string

- - Defined in src/protobuf/pb_pb.d.ts:7505

  #### Returns string

### getDontShowAgainMapMap

- getDontShowAgainMapMap(): Map<string, boolean>

- - Defined in src/protobuf/pb_pb.d.ts:7444

  #### Returns Map<string, boolean>

### getFiatCurrenciesList

- getFiatCurrenciesList(): TradeCurrency []

- - Defined in src/protobuf/pb_pb.d.ts:7418

  #### Returns TradeCurrency []

### getHideNonAccountPaymentMethods

- getHideNonAccountPaymentMethods(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7592

  #### Returns boolean

### getIgnoreDustThreshold

- getIgnoreDustThreshold(): number

- - Defined in src/protobuf/pb_pb.d.ts:7569

  #### Returns number

### getIgnoreTradersListList

- getIgnoreTradersListList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:7500

  #### Returns string[]

### getMaxPriceDistanceInPercent

- getMaxPriceDistanceInPercent(): number

- - Defined in src/protobuf/pb_pb.d.ts:7467

  #### Returns number

### getMoneroNodeSettings

- getMoneroNodeSettings(): undefined | MoneroNodeSettings

- - Defined in src/protobuf/pb_pb.d.ts:7604

  #### Returns undefined | MoneroNodeSettings

### getNotifyOnPreRelease

- getNotifyOnPreRelease(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7601

  #### Returns boolean

### getOfferBookChartScreenCurrencyCode

- getOfferBookChartScreenCurrencyCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:7470

  #### Returns string

### getPeerTagMapMap

- getPeerTagMapMap(): Map<string, string>

- - Defined in src/protobuf/pb_pb.d.ts:7494

  #### Returns Map<string, string>

### getPhoneKeyAndToken

- getPhoneKeyAndToken(): string

- - Defined in src/protobuf/pb_pb.d.ts:7539

  #### Returns string

### getPreferredTradeCurrency

- getPreferredTradeCurrency(): undefined | TradeCurrency

- - Defined in src/protobuf/pb_pb.d.ts:7456

  #### Returns undefined | TradeCurrency

### getReferralId

- getReferralId(): string

- - Defined in src/protobuf/pb_pb.d.ts:7536

  #### Returns string

### getResyncSpvRequested

- getResyncSpvRequested(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7485

  #### Returns boolean

### getRpcPw

- getRpcPw(): string

- - Defined in src/protobuf/pb_pb.d.ts:7560

  #### Returns string

### getRpcUser

- getRpcUser(): string

- - Defined in src/protobuf/pb_pb.d.ts:7557

  #### Returns string

### getSelectedpaymentAccountForCreateoffer

- getSelectedpaymentAccountForCreateoffer(): undefined | PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7514

  #### Returns undefined | PaymentAccount

### getSellScreenCryptoCurrencyCode

- getSellScreenCryptoCurrencyCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:7615

  #### Returns string

### getSellScreenCurrencyCode

- getSellScreenCurrencyCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:7479

  #### Returns string

### getShowOffersMatchingMyAccounts

- getShowOffersMatchingMyAccounts(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7595

  #### Returns boolean

### getShowOwnOffersInOfferBook

- getShowOwnOffersInOfferBook(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7453

  #### Returns boolean

### getSortMarketCurrenciesNumerically

- getSortMarketCurrenciesNumerically(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7488

  #### Returns boolean

### getTacAccepted

- getTacAccepted(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7447

  #### Returns boolean

### getTacAcceptedV120

- getTacAcceptedV120(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7581

  #### Returns boolean

### getTakeOfferSelectedPaymentAccountId

- getTakeOfferSelectedPaymentAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:7563

  #### Returns string

### getTorTransportOrdinal

- getTorTransportOrdinal(): number

- - Defined in src/protobuf/pb_pb.d.ts:7527

  #### Returns number

### getTradeChartsScreenCurrencyCode

- getTradeChartsScreenCurrencyCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:7473

  #### Returns string

### getTradeStatisticsTickUnitIndex

- getTradeStatisticsTickUnitIndex(): number

- - Defined in src/protobuf/pb_pb.d.ts:7482

  #### Returns number

### getUseAnimations

- getUseAnimations(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7511

  #### Returns boolean

### getUseCustomWithdrawalTxFee

- getUseCustomWithdrawalTxFee(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7464

  #### Returns boolean

### getUseMarketNotifications

- getUseMarketNotifications(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7548

  #### Returns boolean

### getUsePercentageBasedPrice

- getUsePercentageBasedPrice(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7491

  #### Returns boolean

### getUsePriceNotifications

- getUsePriceNotifications(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7551

  #### Returns boolean

### getUseSoundForMobileNotifications

- getUseSoundForMobileNotifications(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7542

  #### Returns boolean

### getUseStandbyMode

- getUseStandbyMode(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7554

  #### Returns boolean

### getUseTorForBitcoinJ

- getUseTorForBitcoinJ(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7450

  #### Returns boolean

### getUseTradeNotifications

- getUseTradeNotifications(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7545

  #### Returns boolean

### getUserCountry

- getUserCountry(): undefined | Country

- - Defined in src/protobuf/pb_pb.d.ts:7413

  #### Returns undefined | Country

### getUserLanguage

- getUserLanguage(): string

- - Defined in src/protobuf/pb_pb.d.ts:7410

  #### Returns string

### getWithdrawalTxFeeInVbytes

- getWithdrawalTxFeeInVbytes(): number

- - Defined in src/protobuf/pb_pb.d.ts:7461

  #### Returns number

### hasBlockChainExplorerMainNet

- hasBlockChainExplorerMainNet(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7430

  #### Returns boolean

### hasBlockChainExplorerTestNet

- hasBlockChainExplorerTestNet(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7435

  #### Returns boolean

### hasMoneroNodeSettings

- hasMoneroNodeSettings(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7606

  #### Returns boolean

### hasPreferredTradeCurrency

- hasPreferredTradeCurrency(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7458

  #### Returns boolean

### hasSelectedpaymentAccountForCreateoffer

- hasSelectedpaymentAccountForCreateoffer(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7516

  #### Returns boolean

### hasUserCountry

- hasUserCountry(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7415

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7618

  #### Returns Uint8Array

### setAutoConfirmSettingsList

- setAutoConfirmSettingsList(value: AutoConfirmSettings []): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7585

  #### Parameters

  - ##### value: AutoConfirmSettings []

  #### Returns PreferencesPayload

### setAutoSelectArbitrators

- setAutoSelectArbitrators(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7442

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setBackupDirectory

- setBackupDirectory(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7439

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setBitcoinNodes

- setBitcoinNodes(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7498

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setBitcoinNodesOptionOrdinal

- setBitcoinNodesOptionOrdinal(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7534

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### setBlockChainExplorerMainNet

- setBlockChainExplorerMainNet(value?: BlockChainExplorer ): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7429

  #### Parameters

  - ##### Optional value: BlockChainExplorer

  #### Returns PreferencesPayload

### setBlockChainExplorerTestNet

- setBlockChainExplorerTestNet(value?: BlockChainExplorer ): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7434

  #### Parameters

  - ##### Optional value: BlockChainExplorer

  #### Returns PreferencesPayload

### setBlockNotifyPort

- setBlockNotifyPort(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7576

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### setBridgeAddressesList

- setBridgeAddressesList(value: string[]): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7520

  #### Parameters

  - ##### value: string[]

  #### Returns PreferencesPayload

### setBridgeOptionOrdinal

- setBridgeOptionOrdinal(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7525

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### setBsqAverageTrimThreshold

- setBsqAverageTrimThreshold(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7590

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### setBuyScreenCryptoCurrencyCode

- setBuyScreenCryptoCurrencyCode(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7613

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setBuyScreenCurrencyCode

- setBuyScreenCurrencyCode(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7477

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setBuyerSecurityDepositAsLong

- setBuyerSecurityDepositAsLong(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7509

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### setBuyerSecurityDepositAsPercent

- setBuyerSecurityDepositAsPercent(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7567

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### setBuyerSecurityDepositAsPercentForCrypto

- setBuyerSecurityDepositAsPercentForCrypto(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7573

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### setClearDataAfterDays

- setClearDataAfterDays(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7610

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### setCryptoCurrenciesList

- setCryptoCurrenciesList(value: TradeCurrency []): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7424

  #### Parameters

  - ##### value: TradeCurrency []

  #### Returns PreferencesPayload

### setCssTheme

- setCssTheme(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7579

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### setCustomBridges

- setCustomBridges(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7531

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setDenyApiTaker

- setDenyApiTaker(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7599

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setDirectoryChooserPath

- setDirectoryChooserPath(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7506

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setFiatCurrenciesList

- setFiatCurrenciesList(value: TradeCurrency []): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7419

  #### Parameters

  - ##### value: TradeCurrency []

  #### Returns PreferencesPayload

### setHideNonAccountPaymentMethods

- setHideNonAccountPaymentMethods(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7593

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setIgnoreDustThreshold

- setIgnoreDustThreshold(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7570

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### setIgnoreTradersListList

- setIgnoreTradersListList(value: string[]): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7501

  #### Parameters

  - ##### value: string[]

  #### Returns PreferencesPayload

### setMaxPriceDistanceInPercent

- setMaxPriceDistanceInPercent(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7468

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### setMoneroNodeSettings

- setMoneroNodeSettings(value?: MoneroNodeSettings ): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7605

  #### Parameters

  - ##### Optional value: MoneroNodeSettings

  #### Returns PreferencesPayload

### setNotifyOnPreRelease

- setNotifyOnPreRelease(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7602

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setOfferBookChartScreenCurrencyCode

- setOfferBookChartScreenCurrencyCode(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7471

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setPhoneKeyAndToken

- setPhoneKeyAndToken(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7540

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setPreferredTradeCurrency

- setPreferredTradeCurrency(value?: TradeCurrency ): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7457

  #### Parameters

  - ##### Optional value: TradeCurrency

  #### Returns PreferencesPayload

### setReferralId

- setReferralId(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7537

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setResyncSpvRequested

- setResyncSpvRequested(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7486

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setRpcPw

- setRpcPw(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7561

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setRpcUser

- setRpcUser(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7558

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setSelectedpaymentAccountForCreateoffer

- setSelectedpaymentAccountForCreateoffer(value?: PaymentAccount ): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7515

  #### Parameters

  - ##### Optional value: PaymentAccount

  #### Returns PreferencesPayload

### setSellScreenCryptoCurrencyCode

- setSellScreenCryptoCurrencyCode(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7616

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setSellScreenCurrencyCode

- setSellScreenCurrencyCode(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7480

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setShowOffersMatchingMyAccounts

- setShowOffersMatchingMyAccounts(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7596

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setShowOwnOffersInOfferBook

- setShowOwnOffersInOfferBook(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7454

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setSortMarketCurrenciesNumerically

- setSortMarketCurrenciesNumerically(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7489

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setTacAccepted

- setTacAccepted(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7448

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setTacAcceptedV120

- setTacAcceptedV120(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7582

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setTakeOfferSelectedPaymentAccountId

- setTakeOfferSelectedPaymentAccountId(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7564

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setTorTransportOrdinal

- setTorTransportOrdinal(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7528

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### setTradeChartsScreenCurrencyCode

- setTradeChartsScreenCurrencyCode(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7474

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setTradeStatisticsTickUnitIndex

- setTradeStatisticsTickUnitIndex(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7483

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### setUseAnimations

- setUseAnimations(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7512

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setUseCustomWithdrawalTxFee

- setUseCustomWithdrawalTxFee(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7465

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setUseMarketNotifications

- setUseMarketNotifications(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7549

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setUsePercentageBasedPrice

- setUsePercentageBasedPrice(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7492

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setUsePriceNotifications

- setUsePriceNotifications(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7552

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setUseSoundForMobileNotifications

- setUseSoundForMobileNotifications(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7543

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setUseStandbyMode

- setUseStandbyMode(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7555

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setUseTorForBitcoinJ

- setUseTorForBitcoinJ(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7451

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setUseTradeNotifications

- setUseTradeNotifications(value: boolean): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7546

  #### Parameters

  - ##### value: boolean

  #### Returns PreferencesPayload

### setUserCountry

- setUserCountry(value?: Country ): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7414

  #### Parameters

  - ##### Optional value: Country

  #### Returns PreferencesPayload

### setUserLanguage

- setUserLanguage(value: string): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7411

  #### Parameters

  - ##### value: string

  #### Returns PreferencesPayload

### setWithdrawalTxFeeInVbytes

- setWithdrawalTxFeeInVbytes(value: number): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7462

  #### Parameters

  - ##### value: number

  #### Returns PreferencesPayload

### toObject

- toObject(includeInstance?: boolean): PreferencesPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7619

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns PreferencesPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7622

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PreferencesPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PreferencesPayload, reader: BinaryReader): PreferencesPayload

- - Defined in src/protobuf/pb_pb.d.ts:7623

  #### Parameters

  - ##### message: PreferencesPayload

  - ##### reader: BinaryReader

  #### Returns PreferencesPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: PreferencesPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7621

  #### Parameters

  - ##### message: PreferencesPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: PreferencesPayload ): PreferencesPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7620

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PreferencesPayload

  #### Returns PreferencesPayload . AsObject

Generated using TypeDoc